#!/bin/tcsh

#cat LPImirror.1D 
#-1 0 0 0
#0 -1 0 0
#0 0 1 0

# align_epi_anat.py -dset1 D99anat_SurfVol+orig. -dset2 \
#   ~/D99_v2.0_dist/D99_template.nii.gz -suffix _al2D99_rigid \
#   -rigid_body -feature_size 1 -dset1_strip None -dset2_strip None

# coordinates are strange in the asc files
# mirror and move surfaces using alignment xform
foreach hemi ( rh lh )
   ConvertSurface -i ${hemi}.smoothwm.asc -xmat_1D LPImirror.1D \
     -o ${hemi}.lpimirror.smoothwm.gii
   ConvertSurface -ixmat_1D D99anat_SurfVol_al2D99_rigid_mat.aff12.1D \
     -i ${hemi}.lpimirror.smoothwm.gii -o ${hemi}.smoothwm.gii  \
     -orient_out RAI

   foreach surf ( flat inflated )
      rm  ${hemi}.${surf}.gii ${hemi}.lpimirror.${surf}.gii
      ConvertSurface -i ${hemi}.${surf}.asc -xmat_1D LPImirror.1D \
        -o ${hemi}.lpimirror.${surf}.gii
      ConvertSurface -i ${hemi}.lpimirror.${surf}.gii -o ${hemi}.${surf}.gii \
        -orient_out RAI 
   end
end

# copy spec with asc surfaces to gii surfaces
foreach spec ( D99anat_both	D99anat_lh D99anat_rh )
   cat ${spec}.spec  |sed 's/asc/gii/g' |sed 's/SurfaceType = FreeSurfer/SurfaceType = GIFTI/g' >  ${spec}_gii.spec  
end

foreach hemi (rh lh )
   rm ${hemi}.smoothwm.niml.dset
   3dVol2Surf -spec D99anat_both_gii.spec -surf_A ${hemi}.smoothwm.gii \
   -sv D99_template.nii.gz -grid_parent ~/D99_v2.0_dist/D99_atlas_v2.0.nii.gz  \
   -map_func nzmode -f_steps 10 -f_index nodes \
   -use_norms -norm_len 2 -out_niml ${hemi}.smoothwm.niml.dset
end
